Seedance 2.0
Seedance 2.0
Tai lieuBat dau
Tong quan APIVan ban thanh videoHinh anh thanh video
Tai lieu tham khao API

Van ban thanh video

Tao video tu prompt van ban voi Seedance 2.0 Open API.

Neu khong gui mediaUrls, endpoint nay se chay o che do text-to-video thuan.

Endpoint

POST /api/open/v1/video/generations

Vi du request

curl --request POST \
  --url https://www.seedance2.ink/api/open/v1/video/generations \
  --header 'Authorization: Bearer sd2_live_your_api_key' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "seedance-2.0",
    "prompt": "A river flowing through an autumn forest, aerial view, cinematic motion",
    "aspectRatio": "16:9",
    "duration": 5,
    "resolution": "720p",
    "webhookUrl": "https://your-app.com/webhooks/seedance",
    "metadata": {
      "projectId": "proj_1001",
      "sceneId": "scene_08"
    }
  }'

Response thanh cong

{
  "success": true,
  "requestId": "req_1234567890",
  "status": "queued",
  "creditsCharged": 40
}

Truong request

FieldTypeRequiredDescription
modelstringYesMot trong cac gia tri seedance-2.0, seedance-2.0-fast, seedance-1.5-pro.
promptstringYesPrompt ngon ngu tu nhien mo ta video muc tieu.
aspectRatiostringNoMot trong cac gia tri 16:9, 9:16, 1:1.
durationintegerNoseedance-2.0 va seedance-2.0-fast ho tro 4-15 giay; seedance-1.5-pro ho tro 5 hoac 10 giay.
resolutionstringNoMot trong cac gia tri 480p, 720p, 1080p.
webhookUrlstringNoCallback URL nhan ket qua cuoi cung.
metadataobjectNoMetadata tuy chinh duoc luu cung voi request.

Kiem tra ket qua

curl https://www.seedance2.ink/api/open/v1/video/generations/req_1234567890 \
  --header 'Authorization: Bearer sd2_live_your_api_key'
{
  "success": true,
  "requestId": "req_1234567890",
  "status": "succeeded",
  "model": "seedance-2.0",
  "prompt": "A river flowing through an autumn forest, aerial view, cinematic motion",
  "duration": 5,
  "aspectRatio": "16:9",
  "output": {
    "type": "video",
    "url": "https://pub-your-bucket.r2.dev/open-api-results/req_1234567890.mp4"
  },
  "error": null
}

Huy job

curl --request POST \
  --url https://www.seedance2.ink/api/open/v1/video/generations/req_1234567890/cancel \
  --header 'Authorization: Bearer sd2_live_your_api_key'
{
  "success": true,
  "requestId": "req_1234567890",
  "status": "cancelled"
}

Luu y

  • creditsCharged duoc tinh khi job duoc chap nhan.
  • output.url chi xuat hien khi status la succeeded.
  • Neu muon nhan thong bao push thay vi polling, hay cau hinh webhook.

Tong quan API

Hieu ro xac thuc, gui job, kiem tra trang thai va webhook trong Seedance 2.0 Open API.

Hinh anh thanh video

Tao video tu hinh anh va media tham chieu voi Seedance 2.0 Open API.

Mục lục

EndpointVi du requestResponse thanh congTruong requestKiem tra ket quaHuy jobLuu y